Bug 1657027 - jenkins flake in e2e-gcp-builds
Summary: jenkins flake in e2e-gcp-builds
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.1.0
Assignee: Gabe Montero
QA Contact: XiuJuan Wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-06 21:09 UTC by Gabe Montero
Modified: 2019-06-04 10:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Jenkins pipeline swapping can lead temporary flownode unavailability Consequence: OpenShift Jenkins Pipeline jobs could intermittently fail with an IOException Fix: The openshift sync plugin will catch such and exception and attempt to retry flownode access Result: We should be tolerant of the momentary unavailability to flownodes which are possible with Jenkins Pipelines.
Clone Of:
Environment:
Last Closed: 2019-06-04 10:41:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:41:20 UTC

Comment 2 Gabe Montero 2018-12-14 15:58:34 UTC
PR https://github.com/openshift/jenkins/pull/762 is updating the image

PR e2e testing and e2e-gcp should be sufficient verification for this change.
Will move directly to verify when those tests pass.

Comment 5 errata-xmlrpc 2019-06-04 10:41:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.